package org.w3c.rdf.model;

/**
 * Provides methods for creating resources, literals and statements.
 */

public interface NodeFactory {

  /**
   * Creates a resource out of a string
   */
  public Resource createResource(String str);

  /**
   * Creates a literal out of a string
   */
  public Literal createLiteral(String str);

	/**
	 * Creates a triple
	 */
	public Statement createStatement(Resource subject, Resource predicate, RDFNode object);

}
